# BASIC 256 - Language Documentation

en:ostype

## Ostype

### Format

ostype
ostype ( )

### Description

Returns a number representing the operating system/software environment that this BASIC256 executable file was compiled for.

Return Values
Value | Type
--- | ---
0 | Windows
1 | Linux
2 | Macintosh

### Example

    print "You are using a ";
    if ostype() = 0 then
       print "windows";
    else
       print "unix/linux";
    end if
    print " machine."

Will display something like

    You are using a unix/linux machine.

### New To Version

0.9.6.58

en/ostype.txt · Last modified: 2013/01/13 12:10 by admin